import 'package:car_app/model/user.dart';

class CalendarEvent<T> {
  final T? _id;
  final User _user;
  final String _teamId;
  final String _title;
  final String? _description;
  final DateTime _start;
  final DateTime _end;

  T? get id => _id;
  User get user => _user;
  String get teamId => _teamId;
  String get title => _title;
  String? get description => _description;
  DateTime get start => _start;
  DateTime get end => _end;

  CalendarEvent({T? id, required User user, required String teamId, required String title, String? description, required DateTime start, required DateTime end}) :
        _id = id,
        _user = user,
        _teamId = teamId,
        _title = title,
        _description = description,
        _start = start,
        _end = end;
}
