import 'package:appwrite/appwrite.dart';
import 'package:car_app/converter/appwrite_converters/team.dart';
import 'package:car_app/model/team.dart';
import 'package:car_app/service/appwrite/appwrite.dart';
import 'package:car_app/service/interface/authentication.dart';
import 'package:car_app/service/interface/team.dart';

class AppwriteTeam extends TeamService {
  final AuthenticationService authenticationService;
  final AppwriteService _appwriteService = AppwriteService();
  final Functions _functions = AppwriteService().functions;
  final String _apiFunctionId = AppwriteService().apiFunctionId;

  AppwriteTeam({required this.authenticationService});

  @override
  Stream<Team> getTeams() async* {
    if(!await authenticationService.isLoggedIn()) {
      return;
    }

    var action = "get teams";
    var execution = await _appwriteService.executeFunction(
      _functions.createExecution(functionId: _apiFunctionId, method: "GET", path: "/membership"),
      action,
    );

    if(!_appwriteService.validateExecutionBody(execution)) {
      return;
    }

    yield* _appwriteService.streamFromExecution(execution, TeamMapConverter.fromMap, action);
  }
}
