import 'dart:io';

import 'package:logger/logger.dart';

class FileOutput extends LogOutput {
  late final File file;
  FileOutput(String filePath) :
    file = File(filePath);

  @override
  void output(OutputEvent event) async {
    for (var line in event.lines) {
      await file.writeAsString("${line.toString()}\n", mode: FileMode.writeOnlyAppend);
    }
  }
}
